Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jain.protocol.ss7.oam.tcap
Class TcapErrorNotification

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.management.Notification
                  |
                  +--jain.protocol.ss7.oam.OamErrorNotification
                        |
                        +--jain.protocol.ss7.oam.tcap.TcapErrorNotification

public class TcapErrorNotification
extends OamErrorNotification

This Notification may be emitted by any Tcap Layer Manager MBean if a user defined error is encountered.

This TcapErrorNotification should be sent to all applications that have registered with the TCAP MBean as a javax.management.NotificationListener using a filter 'f', where f.isNotificationEnabled(this.getType()) == true.

The Notification class extends the java.util.EventObject base class and defines the minimal information contained in a notification. It contains the following fields:

the notification type, which is a string expressed in a dot notation similar to Java properties.

a sequence number, which is a serial number identifying a particular instance of notification in the context of the notification source

a time stamp, indicating when the notification was generated

a message contained in a string, which could be the explanation of the notification for displaying to a user

userData is used for whatever other data the notification source wishes to communicate to its consumers

Notification sources should use the notification type to indicate the nature of the event to their consumers. When additional information needs to be transmitted to consumers, the source may place it in the message or user data fields.

Inheritance hierarchy for JAIN OAM Notification

Version:
  1.1
Author:
  Colm Hayden
See Also:
  Serialized Form

Field Summary
`static int` | `TCAP_ERROR_DIALOGUE_ID_UNAVAILABLE` Dialogue ID unavailable.
`static int` | `TCAP_ERROR_DIALOGUE_ID_UNRECOGNISED` Unrecognised dialogue ID.
`static int` | `TCAP_ERROR_ILLEGAL_TIMER_EXPIRY` Illegal timer expiry in the TCAP software.
`static int` | `TCAP_ERROR_INVOKE_ID_IN_USE` Invoke ID already in use.
`static int` | `TCAP_ERROR_INVOKE_ID_UNRECOGNISED` Unrecognised Involke ID.
`static int` | `TCAP_ERROR_MEMORY_ALLOCATION_FAILURE` Memory allocation failure in the TCAP software.
`static int` | `TCAP_ERROR_MSG_MISSING_MANDATORY_PARAM` Mandatory parameter missing.
`static int` | `TCAP_ERROR_MSG_UNEXPECTED_TYPE` Unexpected Message Type.

Fields inherited from class jain.protocol.ss7.oam.OamErrorNotification
`NON_OAM_RELATED_ERROR`

Constructor Summary
`TcapErrorNotification(OamManagedObjectMBean source, long sequenceNumber, int errorType)` Constructs a new TcapErrorNotification of the specified Error Type.

Method Summary
`java.lang.String` | `toString()` Returns a string representation (with details) of classes which extend this class.

Methods inherited from class jain.protocol.ss7.oam.OamErrorNotification
`getErrorType, getNonOamErrorMsg, setNonOamErrorMsg`

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getSource, getTimeStamp, getType, getUserData, setSource, setUserData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TCAP_ERROR_ILLEGAL_TIMER_EXPIRY

    public static final int TCAP_ERROR_ILLEGAL_TIMER_EXPIRY

  Illegal timer expiry in the TCAP software. This may happen if a timer expires in a state where this timer was not supposed to be active.

  Emitted By: TcapNodeMBean
  Notification Type: "jain.protocol.ss7.oam.tcap.illegal_timer_expiry".

### TCAP_ERROR_MEMORY_ALLOCATION_FAILURE

    public static final int TCAP_ERROR_MEMORY_ALLOCATION_FAILURE

  Memory allocation failure in the TCAP software.

  Emitted By: TcapNodeMBean
  Notification Type: "jain.protocol.ss7.oam.tcap.memory_allocation_failure".

### TCAP_ERROR_MSG_MISSING_MANDATORY_PARAM

    public static final int TCAP_ERROR_MSG_MISSING_MANDATORY_PARAM

  Mandatory parameter missing. This error occurs if a component or dialogue structure received from application above TCAP is missing a mandatory element.

  Emitted By: TcapNodeMBean
  Notification Type: "jain.protocol.ss7.oam.tcap.msg_missing_mandatory_param".

### TCAP_ERROR_INVOKE_ID_IN_USE

    public static final int TCAP_ERROR_INVOKE_ID_IN_USE

  Invoke ID already in use.

  Emitted By: TcapNodeMBean
  Notification Type: "jain.protocol.ss7.oam.tcap.invoke_id_in_use".

### TCAP_ERROR_INVOKE_ID_UNRECOGNISED

    public static final int TCAP_ERROR_INVOKE_ID_UNRECOGNISED

  Unrecognised Involke ID. This Error is generated if no previous instance of the invoke ID passed in the component request primitive (with component type other than Invoke) exists.

  Emitted By: TcapNodeMBean
  Notification Type: "jain.protocol.ss7.oam.tcap.invoke_id_unrecognised".

### TCAP_ERROR_DIALOGUE_ID_UNRECOGNISED

    public static final int TCAP_ERROR_DIALOGUE_ID_UNRECOGNISED

  Unrecognised dialogue ID. This Error is generated if no previous instance of the dialogu ID passed in the data request primitive (with message type other than Begin) exists.

  Emitted By: TcapNodeMBean
  Notification Type: "jain.protocol.ss7.oam.tcap.dialogue_id_unrecognised".

### TCAP_ERROR_MSG_UNEXPECTED_TYPE

    public static final int TCAP_ERROR_MSG_UNEXPECTED_TYPE

  Unexpected Message Type. This Error is generated if the message type received in the data request primitive is not expected in the current transaction state.

  Emitted By: TcapNodeMBean
  Notification Type: "jain.protocol.ss7.oam.tcap.msg_unexpected_type".

### TCAP_ERROR_DIALOGUE_ID_UNAVAILABLE

    public static final int TCAP_ERROR_DIALOGUE_ID_UNAVAILABLE

  Dialogue ID unavailable. This Error is generated if no dialogue ID can be allocated for the new dialogue request.

  Emitted By: TcapNodeMBean
  Notification Type: "jain.protocol.ss7.oam.tcap.dialogue_id_unavailable".

Constructor Detail

### TcapErrorNotification

    public TcapErrorNotification(OamManagedObjectMBean source,
                                 long sequenceNumber,
                                 int errorType)
                          throws java.lang.IllegalArgumentException

  Constructs a new TcapErrorNotification of the specified Error Type.
  Parameters:
    `source` - the source of the error
    `sequenceNumberThe` - notification sequence number within the source object.
    `errorType` - one of the defined Error Types.
  Throws:
    java.lang.IllegalArgumentException - - If any of the supplied parameters are invalid

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representation (with details) of classes which extend this class. Over rides standard JAVA toString method.
  Overrides:
    toString in class java.util.EventObject

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

11 August 2000

Copyright - 2000 Sun Microsystems